aboutsummaryrefslogtreecommitdiff
path: root/board
diff options
context:
space:
mode:
authorGravatar J. Tang <tang@jtang.org>2018-06-30 15:14:25 -0400
committerGravatar Thomas Petazzoni <thomas.petazzoni@bootlin.com>2018-06-30 22:07:01 +0200
commit722c11ce7b25a1925498483ef58f59d0931b2ca7 (patch)
tree6eb888941b3a7046a2eb9fceefddf63919575cd6 /board
parentf50578ab98bbc99139838375f6221411d420b298 (diff)
downloadbuildroot-722c11ce7b25a1925498483ef58f59d0931b2ca7.tar.gz
buildroot-722c11ce7b25a1925498483ef58f59d0931b2ca7.tar.bz2
board/raspberrypi: update firmware option to use 64-bit mode
As per latest Raspberry Pi firmware documentation, the option 'arm_control' has been deprecated in favor of 'arm_64bit'. Fixes https://bugs.busybox.net/show_bug.cgi?id=11111. Signed-off-by: Jason Tang <tang@jtang.org> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
Diffstat (limited to 'board')
-rwxr-xr-xboard/raspberrypi/post-image.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/board/raspberrypi/post-image.sh b/board/raspberrypi/post-image.sh
index 3c6c938407..70447cd48b 100755
--- a/board/raspberrypi/post-image.sh
+++ b/board/raspberrypi/post-image.sh
@@ -23,11 +23,11 @@ __EOF__
--aarch64)
# Run a 64bits kernel (armv8)
sed -e '/^kernel=/s,=.*,=Image,' -i "${BINARIES_DIR}/rpi-firmware/config.txt"
- if ! grep -qE '^arm_control=0x200' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
+ if ! grep -qE '^arm_64bit=1' "${BINARIES_DIR}/rpi-firmware/config.txt"; then
cat << __EOF__ >> "${BINARIES_DIR}/rpi-firmware/config.txt"
# enable 64bits support
-arm_control=0x200
+arm_64bit=1
__EOF__
fi